You are Here:
Linux Lite 6.0 Final Released - See Release Announcements



why does npm install encounter with permission denied error on LinuxLite?

Author (Read 3156 times)

0 Members and 3 Guests are viewing this topic.

 

navid_dada

  • New to Forums
  • *
  • 1
    Posts
  • Reputation: 0
  • Linux Lite Member

  • Linux Lite: 5.6 64bit

  • CPU: corei3

  • MEMORY: 8Gb
I am using LinuxLite V5 and I am trying to clone one repository from git using npm V8.3.0 but it throws this exception:

    fatal: could not create leading directories of '/root/.npm/_cacache/tmp/git-clone7tt2X1': Permission denied

I try all of these commands but no progress!!!

    npm i -g https://github.com/nextcloud/strengthify

    npm i https://github.com/nextcloud/strengthify

    sudo npm i -g https://github.com/nextcloud/strengthify

    sudo npm i https://github.com/nextcloud/strengthify

    npm install --prefix=$HOME/.local --global https://github.com/MorrisJobke/strengthify.git

    sudo npm install --prefix=$HOME/.local --global https://github.com/MorrisJobke/strengthify.git

I also run all of these commands in sudo su mode but there was not any progress.

I also checked folder owner and group and permissions. it is the result:

    drwxrwxrwx 6 root root 4096 jun 13 14:50 .npm

How can I solve this problem?
 

 

-->
X Close Ad

Linux Lite 6.0 Final Released - See Release Announcements